Name:		gkrellm-snmp
Version:	1.0
Release:	8.1
License:	GPL
Group:		System/Monitoring
Summary:	gkrellm snmp plugin
URL:		http://triq.net/gkrellm/
Source0:	gkrellm_snmp-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	gkrellm > 2
BuildRequires:	gkrellm > 2 pkgconfig gtk2-devel net-snmp-devel openssl-devel
%if 0%{?fedora_version}
BuildRequires:  gkrellm-devel
%endif

%description
SNMP plugin for gkrellm.

%prep
%setup -n gkrellm_snmp-%{version}

%__make

%install
install -d $RPM_BUILD_ROOT/usr/lib/gkrellm2/plugins
strip gkrellm_snmp.so
install -D -m 755 gkrellm_snmp.so $RPM_BUILD_ROOT/%{_libdir}/gkrellm2/plugins/gkrellm_snmp.so

%clean
rm -rf $RPM_BUILD_ROOT/%{name}-%{version}*
rm -rf %{_tmppath}/%{name}-%{version}-build


%files
%defattr(-,root,root)
%doc ChangeLog TODO FAQ README
%dir %{_libdir}/gkrellm2
%dir %{_libdir}/gkrellm2/plugins
%{_libdir}/gkrellm2/plugins/gkrellm_snmp.so

%changelog
* Sun Jul 13 2008 Carsten Schoene <cs@linux-administrator.com>
- buildservice import

* Sat Apr 23 2005 Carsten Schoene <cs@linux-administrator.com>
- Initial Package, Version 0.21 
